<!DOCTYPE UI><UI version="3.3" stdsetdef="1">
<class>CPegTabDlgForm</class>
<widget class="CPegTabDlg">
    <property name="name">
        <cstring>CPegTabDlgForm</cstring>
    </property>
    <property name="geometry">
        <rect>
            <x>0</x>
            <y>0</y>
            <width>200</width>
            <height>341</height>
        </rect>
    </property>
    <property name="caption">
        <string>CPegTabDlgForm</string>
    </property>
    <vbox>
        <property name="name">
            <cstring>unnamed</cstring>
        </property>
        <widget class="QLayoutWidget">
            <property name="name">
                <cstring>layout9</cstring>
            </property>
            <grid>
                <property name="name">
                    <cstring>unnamed</cstring>
                </property>
                <widget class="QLabel" row="1" column="1">
                    <property name="name">
                        <cstring>start</cstring>
                    </property>
                    <property name="text">
                        <string>&amp;lt;start&amp;gt;</string>
                    </property>
                </widget>
                <widget class="QLabel" row="2" column="0">
                    <property name="name">
                        <cstring>textLabel9</cstring>
                    </property>
                    <property name="sizePolicy">
                        <sizepolicy>
                            <hsizetype>0</hsizetype>
                            <vsizetype>5</vsizetype>
                            <horstretch>0</horstretch>
                            <verstretch>0</verstretch>
                        </sizepolicy>
                    </property>
                    <property name="text">
                        <string>Durée:</string>
                    </property>
                </widget>
                <widget class="QLabel" row="3" column="1">
                    <property name="name">
                        <cstring>looped</cstring>
                    </property>
                </widget>
                <widget class="QLabel" row="0" column="1">
                    <property name="name">
                        <cstring>name</cstring>
                    </property>
                    <property name="text">
                        <string>&amp;lt;name&amp;gt;</string>
                    </property>
                </widget>
                <widget class="QLabel" row="3" column="0">
                    <property name="name">
                        <cstring>textLabel2</cstring>
                    </property>
                    <property name="text">
                        <string>Mode Boucle:</string>
                    </property>
                </widget>
                <widget class="QLabel" row="1" column="0">
                    <property name="name">
                        <cstring>textLabel8</cstring>
                    </property>
                    <property name="sizePolicy">
                        <sizepolicy>
                            <hsizetype>0</hsizetype>
                            <vsizetype>5</vsizetype>
                            <horstretch>0</horstretch>
                            <verstretch>0</verstretch>
                        </sizepolicy>
                    </property>
                    <property name="text">
                        <string>Début:</string>
                    </property>
                </widget>
                <widget class="QLabel" row="2" column="1">
                    <property name="name">
                        <cstring>duration</cstring>
                    </property>
                    <property name="text">
                        <string>&amp;lt;duration&amp;gt;</string>
                    </property>
                </widget>
                <widget class="QLabel" row="0" column="0">
                    <property name="name">
                        <cstring>textLabel7</cstring>
                    </property>
                    <property name="sizePolicy">
                        <sizepolicy>
                            <hsizetype>0</hsizetype>
                            <vsizetype>5</vsizetype>
                            <horstretch>0</horstretch>
                            <verstretch>0</verstretch>
                        </sizepolicy>
                    </property>
                    <property name="text">
                        <string>Nom:</string>
                    </property>
                </widget>
            </grid>
        </widget>
        <widget class="Line">
            <property name="name">
                <cstring>line5</cstring>
            </property>
            <property name="frameShape">
                <enum>HLine</enum>
            </property>
            <property name="frameShadow">
                <enum>Sunken</enum>
            </property>
            <property name="orientation">
                <enum>Horizontal</enum>
            </property>
        </widget>
        <widget class="QLayoutWidget">
            <property name="name">
                <cstring>layout8</cstring>
            </property>
            <grid>
                <property name="name">
                    <cstring>unnamed</cstring>
                </property>
                <widget class="QLabel" row="4" column="0">
                    <property name="name">
                        <cstring>textLabel15</cstring>
                    </property>
                    <property name="text">
                        <string>Rotation:</string>
                    </property>
                </widget>
                <widget class="QCheckBox" row="2" column="1" rowspan="1" colspan="2">
                    <property name="name">
                        <cstring>propScale</cstring>
                    </property>
                    <property name="text">
                        <string>Garder Proportions</string>
                    </property>
                </widget>
                <widget class="QLineEdit" row="1" column="1">
                    <property name="name">
                        <cstring>scaleNS</cstring>
                    </property>
                </widget>
                <widget class="QLineEdit" row="1" column="2">
                    <property name="name">
                        <cstring>scaleEW</cstring>
                    </property>
                </widget>
                <widget class="QLabel" row="0" column="1">
                    <property name="name">
                        <cstring>NS</cstring>
                    </property>
                    <property name="sizePolicy">
                        <sizepolicy>
                            <hsizetype>0</hsizetype>
                            <vsizetype>0</vsizetype>
                            <horstretch>0</horstretch>
                            <verstretch>0</verstretch>
                        </sizepolicy>
                    </property>
                    <property name="pixmap">
                        <pixmap>image0</pixmap>
                    </property>
                    <property name="scaledContents">
                        <bool>true</bool>
                    </property>
                </widget>
                <widget class="QLineEdit" row="3" column="1">
                    <property name="name">
                        <cstring>skewing</cstring>
                    </property>
                </widget>
                <widget class="QLineEdit" row="4" column="1">
                    <property name="name">
                        <cstring>rotation</cstring>
                    </property>
                </widget>
                <widget class="QLabel" row="0" column="2">
                    <property name="name">
                        <cstring>EW</cstring>
                    </property>
                    <property name="sizePolicy">
                        <sizepolicy>
                            <hsizetype>0</hsizetype>
                            <vsizetype>0</vsizetype>
                            <horstretch>0</horstretch>
                            <verstretch>0</verstretch>
                        </sizepolicy>
                    </property>
                    <property name="pixmap">
                        <pixmap>image1</pixmap>
                    </property>
                    <property name="scaledContents">
                        <bool>true</bool>
                    </property>
                </widget>
                <widget class="QLabel" row="3" column="0">
                    <property name="name">
                        <cstring>textLabel15_2</cstring>
                    </property>
                    <property name="text">
                        <string>Inclinaison:</string>
                    </property>
                </widget>
                <widget class="QLabel" row="1" column="0">
                    <property name="name">
                        <cstring>textLabel13</cstring>
                    </property>
                    <property name="text">
                        <string>Echelle:</string>
                    </property>
                </widget>
            </grid>
        </widget>
        <widget class="Line">
            <property name="name">
                <cstring>line6_2</cstring>
            </property>
            <property name="frameShape">
                <enum>HLine</enum>
            </property>
            <property name="frameShadow">
                <enum>Sunken</enum>
            </property>
            <property name="orientation">
                <enum>Horizontal</enum>
            </property>
        </widget>
        <widget class="QLayoutWidget">
            <property name="name">
                <cstring>layout10</cstring>
            </property>
            <hbox>
                <property name="name">
                    <cstring>unnamed</cstring>
                </property>
                <widget class="QLabel">
                    <property name="name">
                        <cstring>textLabel4</cstring>
                    </property>
                    <property name="sizePolicy">
                        <sizepolicy>
                            <hsizetype>4</hsizetype>
                            <vsizetype>5</vsizetype>
                            <horstretch>0</horstretch>
                            <verstretch>0</verstretch>
                        </sizepolicy>
                    </property>
                    <property name="text">
                        <string>Appliquer Pivot À:</string>
                    </property>
                </widget>
                <widget class="QButtonGroup">
                    <property name="name">
                        <cstring>pivotApplyToScaling</cstring>
                    </property>
                    <property name="frameShape">
                        <enum>NoFrame</enum>
                    </property>
                    <property name="frameShadow">
                        <enum>Plain</enum>
                    </property>
                    <property name="title">
                        <string></string>
                    </property>
                    <vbox>
                        <property name="name">
                            <cstring>unnamed</cstring>
                        </property>
                        <property name="margin">
                            <number>0</number>
                        </property>
                        <property name="spacing">
                            <number>0</number>
                        </property>
                        <widget class="QRadioButton">
                            <property name="name">
                                <cstring>radioButton1</cstring>
                            </property>
                            <property name="text">
                                <string>Rotation</string>
                            </property>
                        </widget>
                        <widget class="QRadioButton">
                            <property name="name">
                                <cstring>radioButton2</cstring>
                            </property>
                            <property name="text">
                                <string>Echelle</string>
                            </property>
                        </widget>
                    </vbox>
                </widget>
            </hbox>
        </widget>
        <widget class="Line">
            <property name="name">
                <cstring>line5_2</cstring>
            </property>
            <property name="frameShape">
                <enum>HLine</enum>
            </property>
            <property name="frameShadow">
                <enum>Sunken</enum>
            </property>
            <property name="orientation">
                <enum>Horizontal</enum>
            </property>
        </widget>
        <widget class="QCheckBox">
            <property name="name">
                <cstring>constantZ</cstring>
            </property>
            <property name="text">
                <string>Z Constant</string>
            </property>
        </widget>
        <spacer>
            <property name="name">
                <cstring>spacer5</cstring>
            </property>
            <property name="orientation">
                <enum>Vertical</enum>
            </property>
            <property name="sizeType">
                <enum>Expanding</enum>
            </property>
            <property name="sizeHint">
                <size>
                    <width>41</width>
                    <height>20</height>
                </size>
            </property>
        </spacer>
    </vbox>
</widget>
<customwidgets>
    <customwidget>
        <class>CPegTabDlg</class>
        <header location="local">PegTabDlg.h</header>
        <sizehint>
            <width>-1</width>
            <height>-1</height>
        </sizehint>
        <container>1</container>
        <sizepolicy>
            <hordata>5</hordata>
            <verdata>5</verdata>
            <horstretch>0</horstretch>
            <verstretch>0</verstretch>
        </sizepolicy>
        <pixmap>image2</pixmap>
    </customwidget>
</customwidgets>
<images>
    <image name="image0">
        <data format="XPM.GZ" length="1278">789c85d2498fda301407f03b9f22c2375465a62c5954cd81b957eab152d5c3b3fd9cc509909005a6ea776fece784304c351122fcf83fef7e5a793f7f7cf7564f8b73034d263c9142edad645b96d75fbf5ffe2c96ebc01b3e9b67efebf2cb62f9e6098f853c8c436e583b4aa2368cb6d13ada1a568e0131b3141144c2b07744e2ab61bc8dd7b12d2e1d03e2de52c410dbe2832312af86b08335ec0c53c78078b49400200d0b472476867cc7d7dc16378e01f1622939705bdc3a22d1371481d888c0f0ec181299250a2ed0307754c4c4500672236d31388644b444c9a52de68e8a7832c41037181a0ac790282d15725486ca5111fdff3ef3940117520a0eec3165c33cdc2391bd4b13a1668f48ee52700dd32ca7e6304b93b1d74c17aef7644ad9d46da9d3b17336a6380d78d007d3f078520a5dcaa6d9aa54975261550cff484629dc267b1c52569fed6fa094dfd242577eed06e294ce96da68adc76241e930082689df765dd36b5d74c5c54f402839a54d792dba96f56fba6a7dbf290e7b1cd3a9679675ba9a24ee6795d7bc99a5fc6e4550c330e77e5a3ccc77e3a473b3ded7311d77c3eea4ecdbe1fbaaf7638af35310f6e8f6fafa700ab713ecf5f1e1046fa79fe99642f8e8e6e417fb7e77733eb9759fdcd80f6ffbdf6f8b7f4a6b62e8</data>
    </image>
    <image name="image1">
        <data format="XPM.GZ" length="1263">789c85d2db6ee2301006e07b9e22c277a84ab5017250d58b3ec04a7bb9d26a2fecf138812450c2a140d5776fc6330949f78085843ffd63cbf1f87116fcfcf13d983d4ef6077d584100856e82993dd6f5e5d7efe7f7c9348a03fa65c1b7e9c364ba0b20508949b2c410b742cbbc12d3451aa50b622d8c992f9e90ea14881721324b62b6c8a2cc179f8431b3f2844c67bef82844e61b512f75a497c48330666e3cadd6da12d742641644b33491f1c52b61cc3c7b5a83c617874488610e31f155983095278201243642c7cc8936b673eb8bb53061a2275a637db1113ae69e8809ce31218230615a4f87061dd1091d33fce718a64a1bb0168c567fa6aa3d870c8bea4b9a831b0cc847a996858592e57a90e6ddaeab55b77bdea7aadf56d275ee407529ba516acbaa2d4749557f5a17ae9d3375e1f7569ceadb61d5c6e96dc873cda9b9a5af45be6b646e38f567b2b047ccc3661b225d197d34a7ed54ad0fc7aaaa4ee5ae6cffaab7cdb9ed6097dacbf5ebc8bb14bab5a7ebe5e5d4af85f1a9f657658eb7139ad117d9fa4c5fd40f3dba8db270c3b4bb0dbec90d6d7a2efa14475d68463d1a74e1ff1dbcd3fd3b2fe7ceabbbf362fffada3f9e269fb1935f22</data>
    </image>
    <image name="image2">
        <data format="XBM.GZ" length="79">789c534e494dcbcc4b554829cdcdad8c2fcf4c29c95030e0524611cd48cd4ccf28010a1797249664262b2467241641a592324b8aa363156c15aab914146aadb90067111b1f</data>
    </image>
</images>
<connections>
    <connection>
        <sender>propScale</sender>
        <signal>toggled(bool)</signal>
        <receiver>CPegTabDlgForm</receiver>
        <slot>OnPropScaling(bool)</slot>
    </connection>
    <connection>
        <sender>scaleNS</sender>
        <signal>textChanged(const QString&amp;)</signal>
        <receiver>CPegTabDlgForm</receiver>
        <slot>OnChangeScaleNS(const QString&amp;)</slot>
    </connection>
    <connection>
        <sender>scaleNS</sender>
        <signal>lostFocus()</signal>
        <receiver>CPegTabDlgForm</receiver>
        <slot>OnLineEditLostFocus()</slot>
    </connection>
    <connection>
        <sender>scaleNS</sender>
        <signal>returnPressed()</signal>
        <receiver>CPegTabDlgForm</receiver>
        <slot>OnLineEditLostFocus()</slot>
    </connection>
    <connection>
        <sender>scaleEW</sender>
        <signal>lostFocus()</signal>
        <receiver>CPegTabDlgForm</receiver>
        <slot>OnLineEditLostFocus()</slot>
    </connection>
    <connection>
        <sender>scaleEW</sender>
        <signal>returnPressed()</signal>
        <receiver>CPegTabDlgForm</receiver>
        <slot>OnLineEditLostFocus()</slot>
    </connection>
    <connection>
        <sender>rotation</sender>
        <signal>lostFocus()</signal>
        <receiver>CPegTabDlgForm</receiver>
        <slot>OnLineEditLostFocus()</slot>
    </connection>
    <connection>
        <sender>rotation</sender>
        <signal>returnPressed()</signal>
        <receiver>CPegTabDlgForm</receiver>
        <slot>OnLineEditLostFocus()</slot>
    </connection>
    <connection>
        <sender>pivotApplyToScaling</sender>
        <signal>clicked(int)</signal>
        <receiver>CPegTabDlgForm</receiver>
        <slot>OnTogglePivotAppliesToScaling(int)</slot>
    </connection>
    <connection>
        <sender>skewing</sender>
        <signal>returnPressed()</signal>
        <receiver>CPegTabDlgForm</receiver>
        <slot>OnLineEditLostFocus()</slot>
    </connection>
    <connection>
        <sender>skewing</sender>
        <signal>lostFocus()</signal>
        <receiver>CPegTabDlgForm</receiver>
        <slot>OnLineEditLostFocus()</slot>
    </connection>
</connections>
<tabstops>
    <tabstop>scaleNS</tabstop>
    <tabstop>scaleEW</tabstop>
    <tabstop>propScale</tabstop>
    <tabstop>skewing</tabstop>
    <tabstop>rotation</tabstop>
    <tabstop>radioButton1</tabstop>
    <tabstop>radioButton2</tabstop>
    <tabstop>constantZ</tabstop>
</tabstops>
<slots>
    <slot specifier="non virtual">OnPropScaling(bool)</slot>
    <slot specifier="non virtual">OnChangeScaleNS( const QString &amp;)</slot>
    <slot specifier="non virtual">OnSmoothSliderPressed()</slot>
    <slot specifier="non virtual">OnSmoothSliderChange(int)</slot>
    <slot specifier="non virtual">OnLineEditLostFocus()</slot>
    <slot specifier="non virtual">OnSmoothSliderReleased()</slot>
    <slot specifier="non virtual">OnSmoothSliderMoved(int)</slot>
    <slot specifier="non virtual">OnTogglePivotAppliesToScaling(int)</slot>
</slots>
<layoutdefaults spacing="6" margin="11"/>
<includehints>
    <includehint>cpegtabdlg.h</includehint>
</includehints>
</UI>
